English
English
简体中文
Contact Us
Register
Log In
layoutIndex

Update to v3.14.x

Last Updated on : 2021-12-15 07:35:30download

If you have integrated the previous version and want to update to v3.14.x, please refer to the following steps:

Update the version of the Tuya Smart library to the version corresponding to 3.14.x.

  1. Remove dependencies of paho mqtt library.

    implementation 'org.eclipse.paho:org.eclipse.paho.client.mqttv3:1.2.0'
    

    Update to v3.14.x

  2. Remove proguard rules from paho library.

    -keep class org.eclipse.paho.client.mqttv3.** { *; }
    -dontwarn org.eclipse.paho.client.mqttv3.**
    

    Update to v3.14.x

  3. Added proguard rules.

    #mqtt
    -keep class com.tuya.smart.mqttclient.mqttv3.** { *; }
    -dontwarn com.tuya.smart.mqttclient.mqttv3.**
    
  4. Update OkHttp client version.

    implementation 'com.squareup.okhttp3:okhttp-urlconnection:3.12.3'
    

    change okhttp proguard rules

    #OkHttp3
    -keep class okhttp3.** { *; }
    -keep interface okhttp3.** { *; }
    -dontwarn okhttp3.**
    
    -keep class okio.** { *; }
    -dontwarn okio.**